Summary:	FUIF image format plugin for Qt6
Name:		fuif-imageformat-qt6
Version:	1.0
Release:	1%{?dist}
License:	GPLv2+
URL:		https://copr.fedorainfracloud.org/coprs/vr5/
Source0:	fuif-imageformat-qt5-1.1.tar.gz
Source1:	fuif-master.zip
Source2:        Makefile.libfuif
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	qt6-qtbase-gui xdg-utils
BuildRequires:	qt6-qtbase-devel

%define debug_package %{nil}

%description 
FUIF image format plugin for Qt provides read-only access to FUIF images (they can be opened via QImage class, for example)

%prep
%setup -c -n %{name} -a 1

%build
make -f %{SOURCE2} -C fuif-master

cd fuif-imageformat-qt5
export FUIFLIB_PATH=../fuif-master FUIFINC_PATH=../fuif-master
qmake6
make
strip -g libfuif.so

%install 
install -D fuif-imageformat-qt5/libfuif.so $RPM_BUILD_ROOT%{_libdir}/qt6/plugins/imageformats/libfuif.so
install -D fuif-imageformat-qt5/fuif.desktop $RPM_BUILD_ROOT/usr/share/kservices6/qimageioplugins/fuif.desktop
install -D fuif-imageformat-qt5/xdg-fuif.xml %{buildroot}/usr/share/%{name}-%{version}/xdg-fuif.xml

%post
xdg-mime install /usr/share/%{name}-%{version}/xdg-fuif.xml

%files 
%defattr(0644,root,root)
%attr(0755,root,root) %{_libdir}/qt6/plugins/imageformats/libfuif.so
/usr/share/kservices6/qimageioplugins/fuif.desktop
/usr/share/%{name}-%{version}/xdg-fuif.xml

%clean 
rm -rf %{buildroot}

%changelog 
*Thu Mar 28 2019 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package for fuif-imageformat-qt


